{*******************************************************}
{                                                       }
{       Alex Ghost Library                              }
{                                                       }
{       Copyright (c) 1999,2000 Alexey Popov            }
{                                                       }
{*******************************************************}

{$I AG.INC}

unit agStrLEdit;

interface

uses Windows, Classes, Forms, Buttons, StdCtrls, Controls, ExtCtrls;

type
  TagStrEditDlg = class(TForm)
    Memo: TMemo;
    LineCount: TLabel;
    OKBtn: TButton;
    CancelBtn: TButton;
    procedure UpdateStatus(Sender: TObject);
    procedure MemoKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  end;

implementation

{$R *.DFM}

uses SysUtils;

procedure TagStrEditDlg.UpdateStatus(Sender: TObject);
begin
  LineCount.Caption:=Format('%d line(s)',[Memo.Lines.Count]);
end;

procedure TagStrEditDlg.MemoKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  if Key = VK_ESCAPE then CancelBtn.Click;
end;

end.
 